const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v4_3 = __asm_movupd(*((esi_global_2d_to_2d_local - 120)));
    v4_8 = __asm_movsd(*((esi_global_2d_to_2d_local - 104)));
    v5_d = __asm_mulpd(v4_3, *((edi_global_2d_to_2d_local - 32)));
    v5_12 = __asm_mulsd(v4_8, *((edi_global_2d_to_2d_local - 32))) # bp+12;
    v5_17 = __asm_addpd(v5_d, *((edi_global_2d_to_2d_local - 64))) # bp+17;
    v5_1c = __asm_addsd(v5_12, *((edi_global_2d_to_2d_local - 48)));
    if *((edi_global_2d_to_2d_local - 68)) != 0:;
        v4_27 = __asm_movsd(esi_global_2d_to_2d_local[112]) # bp+27;
        v5_2c = __asm_mulsd(v4_27, *((edi_global_2d_to_2d_local - 32)));
        __asm_movupd_1(*((esi_global_2d_to_2d_local - 120)), v5_17);
        *((esi_global_2d_to_2d_local - 104)) = __asm_movsd_2(v5_1c);
        esi_global_2d_to_2d_local[112] = __asm_movsd_2(v5_2c);
    __asm_movupd_1(stack_var__2d_28, v5_17);
    __asm_movsd_2(v5_1c);
    fabs(stack_var__2d_28);
    __asm_wait();
    __asm_fnstsw(fpsw_global_2d_to_2d_local);
    __asm_wait();
    __asm_fnstsw(fpsw_global_2d_to_2d_local);
    __asm_wait();
    __asm_fnstsw(fpsw_global_2d_to_2d_local);
    v4_90 = *((edi_global_2d_to_2d_local - 100)) # bp+90;
    v0_db = __asm_wait();
    v1_dc = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    v1_f2_pre = 2 * 2 * v4_90 * v4_90 - *((edi_global_2d_to_2d_local - 16));
    if *((edi_global_2d_to_2d_local - 68)) == 0:;
        # 0xef;
        v1_f2 = v1_f2_pre / *((edi_global_2d_to_2d_local - 32));
    else:;
        v1_f2 = v1_f2_pre;
    # 0xf2;
    *((esi_global_2d_to_2d_local - 32)) = v1_f2;
    return v0_db & -0x10000 | v1_dc & -0xff01 | v1_dc & 0x4100;


	}